# eric7.Plugins.VcsPlugins.vcsMercurial.HgConflictsListDialog

Module implementing a dialog to show a list of files which had or still have conflicts.

### Global Attributes

None

### Classes

HgConflictsListDialog | Class implementing a dialog to show a list of files which had or still have conflicts.

### Functions

None

## HgConflictsListDialog

Class implementing a dialog to show a list of files which had or still have conflicts.

### Derived from

QWidget, Ui_HgConflictsListDialog

### Class Attributes

FilenameRole
StatusRole

### Class Methods

None

### Methods

HgConflictsListDialog | Constructor
__finish | Private slot called when the process finished or the user pressed the button.
__generateItem | Private method to generate a tag item in the tag list.
__getEntries | Private method to get the conflict entries.
__processOutputLine | Private method to process the lines of output.
__resizeColumns | Private method to resize the list columns.
__resort | Private method to resort the tree.
__showError | Private slot to show some error.
closeEvent | Protected slot implementing a close event handler.
on_buttonBox_clicked | Private slot called by a button of the button box clicked.
on_conflictsList_itemDoubleClicked | Private slot to open the double clicked entry.
on_conflictsList_itemSelectionChanged | Private slot to handle a change of selected conflict entries.
on_editButton_clicked | Private slot to open the selected file in an editor.
on_reMergeButton_clicked | Private slot to re-merge the selected entries.
on_refreshButton_clicked | Private slot to refresh the log.
on_resolvedButton_clicked | Private slot to mark the selected entries as resolved.
on_unresolvedButton_clicked | Private slot to mark the selected entries as unresolved.
show | Public slot to show the dialog.
start | Public slot to start the tags command.

### Static Methods

None

#### HgConflictsListDialog (Constructor)

HgConflictsListDialog(vcs, parent=None)

Constructor

vcs
  reference to the vcs object
parent
  parent widget (QWidget)

#### HgConflictsListDialog.__finish

__finish()

Private slot called when the process finished or the user pressed the button.

#### HgConflictsListDialog.__generateItem

__generateItem(status, name)

Private method to generate a tag item in the tag list.

status
  status of the file (string)
name
  name of the file (string)

#### HgConflictsListDialog.__getEntries

__getEntries()

Private method to get the conflict entries.

#### HgConflictsListDialog.__processOutputLine

__processOutputLine(line)

Private method to process the lines of output.

line
  output line to be processed (string)

#### HgConflictsListDialog.__resizeColumns

__resizeColumns()

Private method to resize the list columns.

#### HgConflictsListDialog.__resort

__resort()

Private method to resort the tree.

#### HgConflictsListDialog.__showError

__showError(out)

Private slot to show some error.

out
  error to be shown (string)

#### HgConflictsListDialog.closeEvent

closeEvent(e)

Protected slot implementing a close event handler.

e
  close event (QCloseEvent)

#### HgConflictsListDialog.on_buttonBox_clicked

on_buttonBox_clicked(button)

Private slot called by a button of the button box clicked.

button
  button that was clicked (QAbstractButton)

#### HgConflictsListDialog.on_conflictsList_itemDoubleClicked

on_conflictsList_itemDoubleClicked(item, column)

Private slot to open the double clicked entry.

item
  reference to the double clicked item (QTreeWidgetItem)
column
  column that was double clicked (integer)

#### HgConflictsListDialog.on_conflictsList_itemSelectionChanged

on_conflictsList_itemSelectionChanged()

Private slot to handle a change of selected conflict entries.

#### HgConflictsListDialog.on_editButton_clicked

on_editButton_clicked()

Private slot to open the selected file in an editor.

#### HgConflictsListDialog.on_reMergeButton_clicked

on_reMergeButton_clicked()

Private slot to re-merge the selected entries.

#### HgConflictsListDialog.on_refreshButton_clicked

on_refreshButton_clicked()

Private slot to refresh the log.

#### HgConflictsListDialog.on_resolvedButton_clicked

on_resolvedButton_clicked()

Private slot to mark the selected entries as resolved.

#### HgConflictsListDialog.on_unresolvedButton_clicked

on_unresolvedButton_clicked()

Private slot to mark the selected entries as unresolved.

#### HgConflictsListDialog.show

show()

Public slot to show the dialog.

#### HgConflictsListDialog.start

start()

Public slot to start the tags command.

Up